Bug 144500 - X hangs/freezes when dragging in GNOME
X hangs/freezes when dragging in GNOME
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-07 14:17 EST by Richard Anthony Graham
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Anthony Graham 2005-01-07 14:17:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Sometimes when dragging things in GNOME, such as windows and messages
in Evolution, X hangs. The display refreshes, but input from the
keyboard and mouse has no effect. It's not possible to switch to other
terminals using Ctrl + Alt + <function key>.

When this problem occurs, the mouse cursor keeps the dragging cursor,
even when you release the mouse button.

I've only once seen X eating CPU cycles when this problem has occurred.

The only way I know of to return the computer back to normal is to
kill X via ssh, losing all unsaved data in your X session.

Unfortunately I haven't noticed any pattern in the tasks I was
performing which caused these hangs.

Version-Release number of selected component (if applicable):
gnome-desktop-2.8.0-3

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:
Comment 1 Ben Steeves 2005-06-17 21:50:41 EDT
I think this is a duplicate of bug #160159.  I'm having the same problems and
described my situation in that bug.
Comment 2 Ben Steeves 2005-06-17 21:51:31 EDT
(In reply to comment #1)
> I think this is a duplicate of bug #160159.  I'm having the same problems and
> described my situation in that bug.

gnome-desktop-devel-2.10.0-5
gnome-desktop-2.10.0-5
Comment 3 Ben Steeves 2005-06-23 08:47:20 EDT
Looks like it might be an nVidia driver issue... Richard, are you running the nvidia driver?
Comment 4 Richard Anthony Graham 2005-06-23 09:11:26 EDT
Yes—I think I was using version 1.0-6629.

I see that NVIDIA have been unusually busy developing their driver since that version was the latest, so it's 
possible that they have fixed this bug. Unfortunately, I can't test whether this is the case because I've 
migrated to Mac OS *ducks*. :)

Are the people affected by this bug using the latest version of the driver?
Comment 5 Maxim Britov 2005-09-02 02:54:18 EDT
I can confirm this problem on my rawhide (but kernel from kernel.org) box with
ATI Radeon 9200!
Comment 6 Matthew Miller 2006-07-10 18:55:06 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Ray Strode [halfline] 2007-08-14 11:45:05 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.